Subject: HP-85 HP-85B memory interface roms manuals for sale

From: "Ravid Avrahamian" <[email-masked]>
Date: Sun Apr 13 11:44:55 2003

Hi,
 
I have few items for HP-85 that I would like to sell.
I have a few of each: 16K Memory Modules, 128K Memory Modules, Serial
interfaces, HPIB interfaces, Modems, Rom drawers with different ROMS,
Manuals and software.
I can ship internationally. I am located in California USA.
To make an offer for an item/s or ask questions please Email
[email-masked]. I will not monitor this board for the next week or so.
Please Email me. I also have a lot of other vintage computers, software,
and manuals. (TRS-80, Atari, Apple, Commodore, IBM, HP, and more)
Thanks.
Ravid.